<mat-tab-group mat-stretch-tabs dynamicHeight>
	<mat-tab label="Documentación">
		<app-url method="post" [url]="url"></app-url>
		<markdown [src]="'assets/docs/emitir_factura.md'"></markdown>
	</mat-tab>
	<mat-tab label="Ejemplo">
		<div class="ejemplo">
			<app-entecuit></app-entecuit>
			<div class="row">
				<tr-autocomplete trFocusNext="1" clase="col m4 offset-m4 s8 offset-s2 center" placeholder="Cuit" idNombre="queid" (establecido)="traeCuit($event)" [(modelo)]="autocomplete" nombre="cuit" busca="buscuit" [buscaExtra]="dtsBuscar()"></tr-autocomplete>
				<div class="col m2 s2">
					<button trFocusNext="2" title="Realizar SOA" mat-icon-button (keydown.enter)="soa($event)" (click)="soa($event)" color="primary">
						<mat-icon>{{ icono }}</mat-icon>
					</button>
				</div>
			</div>
			<div class="row">
				<mat-form-field class="col m4 offset-m2 s8 offset-s2 center">
					<input trFocusNext="3" matInput placeholder="D.N.I." [(ngModel)]="dni" name="dni">
				</mat-form-field>
				<mat-form-field class="col m4 s8 offset-s2 center">
						<input trFocusNext="4" matInput placeholder="Denominación" [(ngModel)]="denominacion" name="denominacion">
				</mat-form-field>
			</div>
			<div class="row">
				<mat-form-field class="col m4 offset-m2 s8 offset-s2 center">
					<input trFocusNext="5" #fieldTalonario matInput placeholder="Talonario (opcional)" [(ngModel)]="talonario" name="talonario">
				</mat-form-field>
				<mat-form-field class="col m4 s8 offset-s2 center">
					<input trFocusNext="6" #fieldRemito matInput placeholder="Remito (opcional)" [(ngModel)]="remito" name="remito">
				</mat-form-field>
			</div>
			<div class="row">
				<div class="col m4 offset-m2 s8 offset-s2 center">
					<mat-checkbox trFocusNext="7" name="enviarmail" color="primary" [(ngModel)]="enviarmail">
						Enviar Mail
					</mat-checkbox>
				</div>
				<mat-form-field class="col m4 s8 offset-s2 center">
					<input trFocusNext="8" #fieldEmail matInput placeholder="Dir. Mail (opcional)" [(ngModel)]="diremail" name="diremail">
				</mat-form-field>
			</div>
			<div class="row"></div>
			<div class="row">
				<div class="col s12 center">
					<h4>Artículos</h4>
				</div>
				<div class="row"></div>
				<mat-form-field class="col m5 s8 offset-s2 center">
					<input trFocusNext="7" matInput placeholder="Detalle" [(ngModel)]="detalle" name="detalle">
				</mat-form-field>
				<mat-form-field class="col m2 s8 offset-s2 center">
					<input trFocusNext="8" #fieldCantidad matInput appSoloNumeros placeholder="Cantidad" [(ngModel)]="cantidad" name="cantidad">
				</mat-form-field>
				<mat-form-field class="col m2 s8 offset-s2 center">
					<input trFocusNext="9" #fieldPrecio matInput appSoloNumeros placeholder="Precio" [(ngModel)]="precio" name="precio">
				</mat-form-field>
				<mat-form-field class="col m2 s8 offset-s2 center">
					<mat-select trFocusNext="10" #fieldIva [(ngModel)]="iva" name="iva" placeholder="% I.V.A.">
						<mat-option value="0">0%</mat-option>
						<mat-option value="10.5">10.5%</mat-option>
						<mat-option value="21">21%</mat-option>
					</mat-select>
				</mat-form-field>

				<div class="col m1 s8 offset-s2 center">
					<button trFocusNext="11" title="Agregar artículo" mat-icon-button (click)="agregarArticulo()" (keydown.enter)="agregarArticulo()" color="primary">
						<mat-icon>check_circle</mat-icon>
					</button>
				</div>
			</div>

			<div class="row">
				<div class="col m8 offset-m2 s12">
					<table [ngStyle]="{display: articulos.length > 0 ? 'table' : 'none'}" mat-table [dataSource]="articulos" class="mat-elevation-z2">

						<ng-container matColumnDef="detalle">
							<th width="50%" mat-header-cell *matHeaderCellDef style="text-align: center"> Detalle </th>
							<td mat-cell *matCellDef="let element"> {{element.detalle}} </td>
							<td mat-footer-cell *matFooterCellDef></td>
						</ng-container>

						<ng-container matColumnDef="cantidad">
							<th width="10%" mat-header-cell *matHeaderCellDef style="text-align: center"> Cantidad </th>
							<td mat-cell *matCellDef="let element" style="text-align: center"> {{element.cantidad}} </td>
							<td mat-footer-cell *matFooterCellDef></td>
						</ng-container>

						<ng-container matColumnDef="precio">
							<th width="15%" mat-header-cell *matHeaderCellDef style="text-align: center"> Precio </th>
							<td mat-cell *matCellDef="let element" style="text-align: right"> {{element.precio | currency}} </td>
							<td mat-footer-cell *matFooterCellDef></td>
						</ng-container>

						<ng-container matColumnDef="iva">
							<th width="10%" mat-header-cell *matHeaderCellDef style="text-align: center"> % I.V.A. </th>
							<td mat-cell *matCellDef="let element" style="text-align: right"> {{element.iva}}% </td>
							<td mat-footer-cell *matFooterCellDef style="text-align: center"> Total </td>
						</ng-container>

						<ng-container matColumnDef="acciones">
							<th width="15%" mat-header-cell *matHeaderCellDef style="text-align: center"> Acciones </th>
							<td mat-cell *matCellDef="let element" style="text-align: center">
								<mat-icon class="accion" (click)="editar(element)">edit</mat-icon>
								<mat-icon class="accion" (click)="eliminar(element)">delete</mat-icon>
							</td>
							<td mat-footer-cell *matFooterCellDef style="text-align: right"> {{ total() | currency }} </td>
						</ng-container>

						<tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
						<tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
						<tr mat-footer-row *matFooterRowDef="displayedColumns"></tr>
					</table>
				</div>
			</div>
			<div class="row">
				<div class="col s2 offset-s4 center">
					<button (click)="onEmitirFactura(1)" mat-raised-button color="primary">Emitir Factura</button>
				</div>
				<div class="col s2 center">
					<button (click)="onEmitirFactura(2)" mat-raised-button color="primary">Emitir N.Credito</button>
				</div>
				<div class="col s2 center">
					<button (click)="reset(false)" mat-button color="primary">Reiniciar</button>
				</div>
			</div>
			<app-respuesta></app-respuesta>
		</div>
	</mat-tab>
</mat-tab-group>
